SUBROUTINE HITRAN_READ( HITRAN ) 

        use initialset
	implicit none
        real(8),intent(out) :: HITRAN(linenumber(3),6,SpNum)
        real(8)             :: gomi   !, wavenumber0, Ej, S0, gammaL_self, gammaL_air, TL
        integer          :: gomii, j, i, iso
!        character*50     :: filename
        intrinsic        :: int

!-------------------------------------------------------------------------!
!!!     吸収線データ from hitran の読み込み

        do i = 1, SpNum
           if ( SPECIE(i) == 'co2' ) then  
              write(filename, '(a)') './data/co2_04.dat'       
           elseif ( SPECIE(i) == 'h2o' ) then  
              write(filename, '(a)') './data/h2o_04.dat'       
           elseif ( SPECIE(i) == 'ch4' ) then  
              write(filename, '(a)') './data/ch4_04.dat'       
           endif
!           write(filename,'(3a)') './data/',SPECIE(i),'.dat'       
           open(10,file=filename)

           if ( SPECIE(i) == 'co2' ) then

              do j = 1, linenumber(i)
   	         read(10,'(I2,I1,F12.6,1P2E10.3,0P2F5.4, F10.4, F4.2)') &
                      gomii, iso, HITRAN(j, 1, i), HITRAN(J, 2, i), &
                      gomi, gomi, HITRAN(j, 3, i), HITRAN(j, 4, i) , HITRAN(j, 5, i)
                 HITRAN(j,6,i) = iso
!
!  	         read(10,'(I2,I1,F12.6,1P2E10.3,0P2F5.4, F10.4, F4.2)') &
!                     gomii, gomii, wavenumber0, S0, &
!                     gomi, gammaL_air, gammaL_self, Ej, TL
!                 HITRAN(j, 1, i) = wavenumber0 
!                 HITRAN(j, 2, i) = S0
!                 HITRAN(j, 3, i) = gammaL_self
!                 HITRAN(j, 4, i) = Ej
!                 HITRAN(j, 5, i) = TL
   	      end do
        
           else

    	      do j = 1, linenumber(i)
   	         read(10,'(I2,I1,F12.6,1P2E10.3,0P2F5.4, F10.4, F4.2)') &
                      gomii, iso, HITRAN(j, 1, i), HITRAN(J, 2, i), &
                      gomi, HITRAN(j, 3, i), gomi, HITRAN(j, 4, i) , HITRAN(j, 5, i)
                 HITRAN(j,6,i) = iso

!	         read(10,'(I2,I1,F12.6,1P2E10.3,0P2F5.4, F10.4, F4.2)') &
!                     gomii, gomii, wavenumber0, S0, &
!                     gomi, gammaL_air, gammaL_self, Ej, TL
!                 HITRAN(j, 1, i) = wavenumber0 
!                 HITRAN(j, 2, i) = S0
!                 HITRAN(j, 3, i) = gammaL_air
!                 HITRAN(j, 4, i) = Ej
!                 HITRAN(j, 5, i) = TL
  	      end do

           endif

        close(10)

        enddo

END SUBROUTINE HITRAN_READ
